# DataExchange
TKXSBase
StepData

# StepData_DescrGeneral Class Reference

Works with a Protocol by considering its entity descriptions
.

`#include <StepData_DescrGeneral.hxx>`

Inheritance diagram for StepData_DescrGeneral:

[legend]

## Public Member Functions

Standard_EXPORT | StepData_DescrGeneral (const Handle(StepData_Protocol)&proto)
Standard_EXPORT void | FillSharedCase (const Standard_Integer CN, const Handle(Standard_Transient)&ent, Interface_EntityIterator &iter) const
| Specific filling of the list of Entities shared by an Entity <ent>. Can use the internal utility method Share, below .
Standard_EXPORT void | CheckCase (const Standard_Integer CN, const Handle(Standard_Transient)&ent, const Interface_ShareTool &shares, Handle(Interface_Check)&ach) const
| Specific Checking of an Entity <ent> .
Standard_EXPORT void | CopyCase (const Standard_Integer CN, const Handle(Standard_Transient)&entfrom, const Handle(Standard_Transient)&entto, Interface_CopyTool &TC) const
| Specific Copy ("Deep") from <entfrom> to <entto> (same type) by using a TransferControl which provides its working Map. Use method Transferred from TransferControl to work //! Specific Copying of Implied References A Default is provided which does nothing (must current case !) Already copied references (by CopyFrom) must remain unchanged Use method Search from TransferControl to work .
Standard_EXPORT Standard_Boolean | NewVoid (const Standard_Integer CN, Handle(Standard_Transient)&ent) const
| Creates a new void entity <entto> according to a Case Number This entity remains to be filled, by reading from a file or by copying from another entity of same type (see CopyCase) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepData_Protocol | theproto

## Constructor & Destructor Documentation

Standard_EXPORT StepData_DescrGeneral::StepData_DescrGeneral | ( | const Handle(StepData_Protocol)& | proto | ) |

## Member Function Documentation

Standard_EXPORT void StepData_DescrGeneral::CheckCase | ( | const Standard_Integer | CN,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle(Interface_Check)& | ach
| ) | const`[virtual]`

| Implements StepData_GeneralModule.

Standard_EXPORT void StepData_DescrGeneral::CopyCase | ( | const Standard_Integer | CN,
|  | const Handle(Standard_Transient)& | entfrom,
|  | const Handle(Standard_Transient)& | entto,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements StepData_GeneralModule.

Standard_EXPORT void StepData_DescrGeneral::FillSharedCase | ( | const Standard_Integer | CN,
|  | const Handle(Standard_Transient)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const`[virtual]`

| Implements StepData_GeneralModule.

Standard_EXPORT const StepData_DescrGeneral::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_GeneralModule.

Standard_EXPORT Standard_Boolean StepData_DescrGeneral::NewVoid | ( | const Standard_Integer | CN,
|  | Handle(Standard_Transient)& | ent
| ) | const`[virtual]`

| Implements Interface_GeneralModule.

## Field Documentation

Handle_StepData_Protocol StepData_DescrGeneral::theproto `[private]`

The documentation for this class was generated from the following file:

- StepData_DescrGeneral.hxx